newsGoldenPod - News

 
 

[GPSA-2006:1] Security vulnerability in GoldenPod versions prior to 0.6

Item posted by Eskild Hustvedt <zero_dogg> on Sat 29 Jul 2006 02:10:32 PM UTC.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

GoldenPod security advisory GPSA-2006:1 29.07.2006
Affected versions: All versions prior to 0.6 (0.1, 0.2, 0.3, 0.4 and 0.5)

A vulnerability was discovered by braiden at braiden dot org in the way
goldenpod deals with downloading of podcasts. A malicious author (or hijacker)
could produce a specially crafted download link that could result in arbitrary
command execution with the user's rights.

This vulnerability has been rated moderately critical and all user's
are encouraged to immediatly upgrade to GoldenPod version 0.6 which fixes this.

Released updates available from
http://download.savannah.gnu.org/releases/goldenpod/:
25c8e79d590604cdb7f603479bca20e8  goldenpod-0.6.tar.bz2
fd994cc39662464c53208d5477e8981a  goldenpod-0.6.tar.gz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEy2t/FOOrYe1lZOcRAnuKAJ0evqzgw54BKGscYqotlnamzZjbFgCfdgId
8QKapOktdr73mN4jZxxIt14=
=QVNv
-----END PGP SIGNATURE-----

Back to the top

Powered by Savane 3.13-d3ae.
Corresponding source code